COV_DIR = cov
COV_OPT = --force --all                       \
          --enable DC.STRING_BUFFER           \
          --enable HARDCODED_CREDENTIALS      \
          --enable INTEGER_OVERFLOW           \
          --enable REVERSE_OVERRUN            \
          --enable RISKY_CRYPTO               \
          --enable UNENCRYPTED_SENSITIVE_DATA \
          --enable WEAK_PASSWORD_HASH         \
          --dc-config /opt/coverity/stm-0117_model.json \
          --jobs 2

.PHONY: cov
cov:
	@make cov_build
	@make cov_analyze

.PHONY: cov_build
cov_build:
	@make clean
	@cov-build --dir $(COV_DIR) --encoding UTF-8 make

.PHONY: cov_analyze
cov_analyze:
	@cov-analyze --dir $(COV_DIR) $(COV_OPT)

.PHONY: cov_clean
cov_clean:
	@rm -rf $(COV_DIR)
