
ARCH=x86
-include $(PRJ_BASE)/project.mk

ifeq ($(ARCH), ppc)
    include $(MAKE_DIR)/env_ppc.mk
endif

ifeq ($(ARCH), ppc_fsl)
    include $(MAKE_DIR)/env_ppc_fsl.mk
endif

ifeq ($(ARCH), arm)
    include $(MAKE_DIR)/env_arm.mk
endif

ifeq ($(ARCH), x86)
    include $(MAKE_DIR)/env_x86.mk
endif

########################################
# Default Definition

MAKEDEPEND  = makedepend
SRC_DIR     = src
OBJ_DIR     = obj
MAKELOG     = make.log
ERRLOG      = error.log
WARNINGLOG  = warning.log
STMLOG      = stm.log
GTEST_DIR   = deps/gtest
GMOCK_DIR   = deps/gmock
CPPLINT     = $(MAKE_DIR)/script/cpplint.py

########################################
# Env Setting

export LD_LIBRARY_PATH = $(shell echo $$LD_LIBRARY_PATH):$(LIB_DIR)

include $(MAKE_DIR)/color.mk
