SPEC=	$(firstword $(wildcard $(PRJ_BASE)/*.spec))
VER=	$(shell rpmspec -q --srpm --qf '%{version}' $(SPEC))

ifeq (,$(findstring rpmbuild/BUILD,$(CURDIR)))

NAME=	$(shell rpmspec -q --srpm --qf '%{name}' $(SPEC))
REL=	$(shell rpmspec -q --srpm --qf '%{release}' $(SPEC))
ARCH=	$(shell rpmspec -q --srpm --qf '%{arch}' $(SPEC))
RPMS=	$(addprefix $(shell rpmbuild --eval %_rpmdir)/$(ARCH)/,\
	$(addsuffix .rpm,$(shell rpmspec -q $(SPEC))))
RPM=	$(firstword $(RPMS))
TAG?=	V$(subst .,,$(VER))

# argument
DNF_REPO=		TRUE
REL_VER=		none

.PHONY:	rpm rpmclean release create_rel_br

rpm:	$(RPM)

$(RPM):	$(SPEC)
#	rpmbuild -bb --sign $<
	rpmbuild -bb $<
	rpm --addsign $(RPMS)

release: $(RPM)
	$(shell pwd)/make/script/rsync_ulmdnf.sh -r $(DNF_REPO) -v

rpmclean:
	$(RM) $(RPMS)

create_rel_br:
	$(shell pwd)/make/script/create_rel_br.sh -v $(REL_VER) -b $(shell git rev-parse --abbrev-ref HEAD) -x

endif
