%global gitname	sony_fpga

Name:           ulm-%{gitname}
Version:        1.20_18
Release:        1%{?dist}
Summary:        Sony ULM FPGA kernel module and loader

License:        GPLv2
URL:            git@ulm-git.vsp.cpg.sony.co.jp:ulm/system/drivers/%{gitname}

BuildRequires:  %kernel_module_package_buildreqs
BuildRequires:  nvidia-driver-src

%description
FPGA kernel module and loader for Sony Universal Live Module.


%global debug_package %{nil}
%define tag     V%(echo %{version} | %{__sed} 's/\\.//g')

%prep
%setup -T -c
/usr/bin/git clone --branch %{tag} --recurse-submodules %{url}.git .


%build
%make_build


%install
%make_install


%files
%license COPYING
%doc README.md
%{_bindir}/*
/sony/ulm/drivers


%changelog
* Mon Jun 27 2022 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.20_18
- Release Version: 1.20_18

* Mon Jun 20 2022 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.20_17
- Release Version: 1.20_17

* Mon May 30 2022 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.20_14
- Release Version: 1.20_14

* Fri Apr 15 2022 Takeo Ugai <Takeo.Ugai@sony.com> - 1.20_9-1
- Add COPYING.

* Tue Mar 22 2022 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.20_5
- Release Version: 1.20_5

* Wed Mar 09 2022 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.20_4
- Release Version: 1.20_4

* Tue Mar 08 2022 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.20_3
- Release Version: 1.20_3

* Mon Jan 17 2022 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.10_12
- Release Version: 1.10_12

* Mon Dec 06 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.10_8
- Release Version: 1.10_8

* Wed Nov 24 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.10_6
- Release Version: 1.10_6

* Thu Oct 28 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.10_3
- Rebuild CentOS8.4: 1.10_3

* Tue Oct 26 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.10_2
- Release Version: 1.10_2

* Tue Sep 21 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.01_4
- Release Version: 1.01_4

* Wed Sep 08 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.01_3
- Release Version: 1.01_3

* Wed Aug 04 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_36
- Release Version: 1.00_36

* Tue Aug 03 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_35
- Release Version: 1.00_35

* Sun Jul 18 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_32
- Release Version: 1.00_32

* Sun Jul 11 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_31
- Release Version: 1.00_31

* Sun Jun 27 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_29
- Release Version: 1.00_29

* Thu Jun 24 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_28TEST
- Release Version: 1.00_28TEST

* Sun Jun 13 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_27
- Release Version: 1.00_27

* Thu Jun 10 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_26TEST
- Release Version: 1.00_26TEST

* Mon May 31 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_25
- Release Version: 1.00_25

* Thu May 27 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_24A
- Release Version: 1.00_24A

* Sun May 23 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_24
- Release Version: 1.00_24

* Sun May 16 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_23
- Release Version: 1.00_23

* Sun May 09 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_22
- Release Version: 1.00_22

* Thu May 06 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_21B
- Release Version: 1.00_21B

* Sun Apr 25 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_21
- Release Version: 1.00_21

* Thu Apr 22 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_20TEST
- Release Version: 1.00_20TEST

* Sun Apr 11 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_20
- Release Version: 1.00_20

* Fri Mar 26 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_19
- Release Version: 1.00_19

* Thu Mar 25 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_18TEST
- Release Version: 1.00_18TEST

* Fri Mar 12 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_18
- Release Version: 1.00_18

* Thu Mar 11 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_17TEST
- Release Version: 1.00_17TEST

* Mon Mar 1 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_17
- Release Version: 1.00_17

* Thu Feb 4 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_16
- add GPU Disable Version: 1.00_16

* Tue Dec 15 2020 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_13
- Release Version: 1.00_13

* Thu Nov 26 2020 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_12
- Release Version: 1.00_12

* Mon Nov 16 2020 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_11
- Release Version: 1.00_11

* Wed Sep 23 2020 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_7
- Release Version: 1.00_7

* Mon Sep 7 2020 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_6
- Release Version: 1.00_6

* Thu Aug 6 2020 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_4A
- Release Version: 1.00_4A

* Wed Aug 5 2020 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_4
- Release Version: 1.00_4

* Wed Jul 15 2020 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00-2A
- Release Version: 1.00_2A

* Fri Jul  3 2020 Satoru Matsuo <Satoru.x.Matsuo@sony.com> - 1.00_2
- add SONY_FPGA_READ_FRAME_CNT(ioctl).

* Wed Jun 17 2020 Chiharu Sakai <Chiharu.Sakai@sony.com> - 1.00_1A
- change version, and use ssh for git clone.

* Fri Apr  3 2020 Takeo Ugai <Takeo.Ugai@sony.com> - 0.01-2
- do not build kmod package.

* Thu Apr  2 2020 Takeo Ugai <Takeo.Ugai@sony.com> - 0.01-1
- Initial build
